%define kheader_version %(ls -d %_includedir/linux-2.4.* | tail -1 | sed 's,%_includedir/,,')
#define kheader_version linux-2.4.26-std-up

Name: alsa-tools
Version: 1.0.9
Release: alt1

Summary: Advanced Linux Sound Architecture (ALSA) tools
License: GPL
Group: System/Kernel and hardware

Url: http://www.alsa-project.org/
Source: ftp://ftp.alsa-project.org/pub/utils/%name-%version.tar.bz2
Patch: alsa-tools-1.0.6-gcc34.patch

Obsoletes: alsa2-tools < 0.9.4
Provides: alsa2-tools = %version
Requires: libalsa >= %version

# Automatically added by buildreq on Sat Apr 03 2004
BuildRequires: XFree86-devel-static XFree86-libs gcc-c++ glib-devel gtk+-devel hostinfo libalsa-devel libfltk-devel libstdc++-devel

BuildRequires: automake_1.4
BuildRequires: autoconf_2.13
# actually needs a better fix...
BuildRequires: kernel-headers-std
BuildRequires: kernel-headers-alsa

BuildRequires: libalsa-devel >= %version

# due to %_bindir/as10k1
Conflicts: emu10k1-tools

Summary(ru_RU.KOI8-R):  ALSA
Summary(uk_UA.KOI8-U):  ALSA

%description
Advanced Linux Sound Architecture (ALSA) tools. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

You may install this package if you really want use this low-level utils with
some audio cards.

%description -l ru_RU.KOI8-R
   ALSA (   Linux), 
       
(  Envy24, EMU10K1).

%description -l uk_UA.KOI8-U
 ͦ  ALSA (ϧ ϧ Ц Linux), 
  Ҧϧ     
( ަ Envy24, EMU10K1).

%prep
%setup -q
#patch -p1
%__subst 's,/lib/modules/[^/]*/build/include,%_includedir/linux,g' \
	`find -name configure`

%build
%define confflags --with-soundbase=%_includedir/ --with-kernel=%kheader_version
export CFLAGS="$CFLAGS -I%_includedir/%kheader_version/include/ -I%_includedir/sound/"
find -name configure | while read dir; do
	pushd `dirname $dir`
	%configure %confflags
	%make_build
	popd
done

%__make -C as10k1/examples

%install
find -name configure | while read dir; do
	pushd `dirname $dir`
	%makeinstall
	popd
done

%__mkdir_p %buildroot{%_datadir/emu10k1,%_menudir}
%__cp -f as10k1/examples/*.asm %buildroot%_datadir/emu10k1/

# Prepare documentation
for file in AUTHORS ChangeLog NEWS README TODO; do
	find -name "$file" | cut -c3- | while read fpath; do
		if [ -s "$fpath" ]; then
			%__mv "$fpath" "$file".`dirname $fpath | tr / .`
		fi
	done
done

%__mkdir_p %buildroot%_man1dir/
%__install -m644 `find -name '*.1'` %buildroot%_man1dir/

%__cat <<EOF > echomixer.menu
?package(echomixer): needs="X11" section="Configuration/Hardware" \
title="Echoaudio Mixer" longtitle="Mixer controls for Echoaudio" \
command="%_bindir/echomixer" icon="echomixer.png"
EOF

%__cat <<EOF > envy24control.menu
?package(envy24control): needs="X11" section="Configuration/Hardware" \
title="Envy24 Control" longtitle="GUI for Envy24-based soundcards" \
command="%_bindir/envy24control" icon="envy24control.png"
EOF

%__cat <<EOF > hdspconf.menu
?package(hdspconf): needs="X11" section="Configuration/Hardware" \
title="HDSP Configuration" longtitle="Hammerfall HDSP Configuration" \
command="%_bindir/hdspconf" icon="hdspconf.png"
EOF

%__install -p -m644 echomixer.menu %buildroot%_menudir/echomixer
%__install -p -m644 envy24control.menu %buildroot%_menudir/envy24control
%__install -p -m644 hdspconf.menu %buildroot%_menudir/hdspconf

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man1dir/*
%_datadir/emu10k1/
%_menudir/*
%doc AUTHORS* ChangeLog* NEWS* README* TODO*

# FIXME:
# - kernel headers version detection

%changelog
* Thu Jun 23 2005 Michael Shigorin <mike@altlinux.org> 1.0.9-alt1
- 1.0.9
- NB: %_datadir/emu10k1 asm files renamed in upstream
- found echomixer, adding menufile. :)

* Thu Jun 09 2005 Michael Shigorin <mike@altlinux.ru> 1.0.9-alt0
- 1.0.9
- removed gcc34 patch

* Wed Feb 23 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt2
- rebuilt with gcc3.4 (and gentoo patch for that matter)

* Thu Jan 13 2005 Michael Shigorin <mike@altlinux.ru> 1.0.8-alt1
- 1.0.8

* Thu Dec 16 2004 Michael Shigorin <mike@altlinux.ru> 1.0.7-alt1
- 1.0.7

* Sat Jun 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt2
- fixed thinko in Conflicts:
- added ru/uk package info
- renamed %_menudir/*.menu to drop ".menu" suffix
- updated kernel headers version

* Mon May 31 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Sat Apr 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt1
- 1.0.4
- added menufiles for envy24control and hdspconf, thanks to Sergey Pinaev (dfo@)
  for notifyin' and buggin' till it was done :-)

* Sun Mar 21 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt2
- got back missing envy24control binary
  (thanks to Sergey Pinaev <dfo antex ru> for noticing)
- added Conflicts: emu10k1-tools

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Jan 29 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt2
- 1.0.2, Final Upload by ALSA Project (TM) 20040129 18:35 +0200
- thanks to Sergey Vlasov (vsu@) for alerting about re-uploads

* Wed Jan 28 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt1
- 1.0.2
- removed "alsa" dependency for the time being
- spec cleanup: cycle over found targets instead of copy/paste blocks
  (also fixes #3230)
- revamped docs unclash/installation
- refreshed build deps
- fixed CLAGS typo

* Thu Jan 15 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8
- updated buildrequires
- spec cleanup

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7
- updated --with-soundbase value to reflect unified alsa headers location

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to alsa-tools

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.1-alt0.1
- 0.9.1 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt2
- 0.9.0rc7

* Mon Jan 20 2003 Rider <rider@altlinux.ru> 0.9.0rc6-alt2
- build requires fix (autoconf & automake)

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- Rebuilt in new environment

* Mon Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10-alt1
- 0.9.0beta10
- Removed as10k1 to avoid conflicts with emu10k1-utils

* Wed Nov 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8-alt1
- 0.9.0beta8

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
